Delete data collection
Endpoint: DELETE /data-collections/{data_collection_id}
Description
Deletes the collection if you are the individual owner, or the collection is org-only (no individual owner) and you are an organization administrator in that collection's organization.
Parameters
- Path:
data_collection_id— integer.
Error responses
401— Authentication failed.403— Not allowed to delete (for example: not the owner, or org-only collection without org-admin role).404— Collection not found or not accessible to your API key (including not assigned to the key's project).400— Cannot delete (for example: the collection is still referenced elsewhere).500— Server error.
Responses
204— no response body.
Example response (204)
No response body is returned.
curl
curl -o /dev/null -w "%{http_code}\n" -X DELETE \
"https://api.aegisevals.ai/api/v1/data-collections/1" \
-H "Authorization: Bearer sk_00000000000000000000000000000000"